# Uses of Interface
javax.accessibility.AccessibleIcon

Packages that use AccessibleIcon
Package
Description
javax.accessibility
Defines a contract between user-interface components and an assistive technology that provides access to those components.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.

## Uses of AccessibleIcon in javax.accessibility

Methods in javax.accessibility that return AccessibleIcon
Modifier and Type
Method
Description
`AccessibleIcon[]`
AccessibleContext.`getAccessibleIcon()`
Gets the `AccessibleIcons` associated with an object that has one or more associated icons.

## Uses of AccessibleIcon in javax.swing

Classes in javax.swing that implement AccessibleIcon
Modifier and Type
Class
Description
`protected class`
`ImageIcon.AccessibleImageIcon`
This class implements accessibility support for the `ImageIcon` class.
Methods in javax.swing that return AccessibleIcon
Modifier and Type
Method
Description
`AccessibleIcon[]`
AbstractButton.AccessibleAbstractButton.`getAccessibleIcon()`
Get the AccessibleIcons associated with this object if one or more exist.
`AccessibleIcon[]`
JLabel.AccessibleJLabel.`getAccessibleIcon()`
Get the AccessibleIcons associated with this object if one or more exist.
`AccessibleIcon[]`
JList.AccessibleJList.AccessibleJListChild.`getAccessibleIcon()`
Returns the icon for the element renderer, as the only item of an array of `AccessibleIcon`s or a `null` array if the renderer component contains no icons.